////////////////////////////////////////////////////////////////////////////////
//	BaseIMObject.h:	The base class for IM object classes
//
//	This is the base class for all Jet *.IM object classes.  It includes
//	virtual methods to return the full size and the remaining size (after any
//	initial ID and length fields) of the entire class (including the full sizes
//	of all contained objects).  It also contains the write procedures used by all
//	Jet object classes to write their output to the final converted *.IM output file.
//
//	NOTE: This is assumed to be an open-source project, so individual method
//	notes appear before each method in the CPP file rather than here in the
//	.h file.
//
//	Copyright , Jack Emmerichs, 2001.
//
////////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_BASIMOBJECT_H_INCLUDED_)
#define AFX_BASIMOBJECT_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBaseIMObject : public CObject  
{
public:
			CBaseIMObject	();
	virtual ~CBaseIMObject	();

	virtual DWORD	GetFullSize			();
	virtual DWORD	GetRemainingSize	();
	virtual	bool	WriteToOutputFile	(HANDLE	hOutputFile);

protected:

	bool	PerformTheWrite		(HANDLE		hOutputFile,
								 void *		pData,
								 DWORD		dwSize,
								 char *		szErrorMsg);
	DWORD	GetNameSize			(CString	strName);
	DWORD	GetNameSize			(char *		strName);
};

#endif // !defined(AFX_BASIMOBJECT_H_INCLUDED_)
////////////////////////////////////////////////////////////////////////////////
