////////////////////////////////////////////////////////////////////////////////
//	Event.h:	The Jet Event class
//
//	This class defines the events that occur within an animation (kin) file.
//
//	Like most of the Jet Objects, it is derived from CBaseIMObject, and implements
//	the virtual Get Size and Write to Output methods of that base class.
//
//	NOTE: This is assumed to be an open-source project, so individual method
//	notes appear before each method in the CPP file rather than here in the
//	.h file.
//
//	Copyright , Jack Emmerichs, 2001.
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EVENT_H_INCLUDED_)
#define AFX_EVENT_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BaseIMObject.h"
#include "EventDetail.h"
#include <vector>

typedef std::vector<CEventDetail *>    EVENTVECTOR;

class CEvent : public CBaseIMObject  
{
public:
			CEvent					();
	virtual ~CEvent					();

	DWORD	GetFullSize				();
	DWORD	GetRemainingSize		();
	bool	WriteToOutputFile		(HANDLE		hOutputFile);

	void	SetMainEventVectorAddr	(EVENTVECTOR *pvEvents)
	{
		m_pvEvents = pvEvents;
	}

protected:

	typedef struct Header
	{
		char	chChunkID [4];
		DWORD	dwChunkSize;
		DWORD	dwVersion;
		DWORD	dwEventCount;
	};

	Header			m_theHeader;

	EVENTVECTOR *	m_pvEvents;		// pointer to the main event vector array

};

#endif // !defined(AFX_EVENT_H_INCLUDED_)
////////////////////////////////////////////////////////////////////////////////
