////////////////////////////////////////////////////////////////////////////////
//	EventDetail.h:	The Jet EventDetail class
//
//	This class defines the details of the individual events that occur within an
//	animation (kin) file.
//
//	Like most of the Jet Objects, it is derived from CBaseIMObject, and implements
//	the virtual Get Size and Write to Output methods of that base class.
//
//	NOTE: This is assumed to be an open-source project, so individual method
//	notes appear before each method in the CPP file rather than here in the
//	.h file.
//
//	Copyright , Jack Emmerichs, 2001.
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EVENTDETAIL_H_INCLUDED_)
#define AFX_EVENTDETAIL_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BaseIMObject.h"

class CEventDetail : public CBaseIMObject  
{
public:
			CEventDetail	();
	virtual ~CEventDetail	();

	DWORD	GetFullSize				();
	DWORD	GetRemainingSize		();

	bool	WriteToOutputFile		(HANDLE		hOutputFile);

	inline SetEventName				(const char *	szEventName)
	{
		strcpy (m_szName, szEventName);
	}

	inline SetFrame					(DWORD	dwFrame)
	{
		m_theData.dwFrame = dwFrame;
	}

	inline SetType					(DWORD	dwType)
	{
		m_theData.dwType = dwType;
	}

protected:

	typedef struct Data			// the first INFO header data
	{
		DWORD	dwFrame;
		DWORD	dwType;
		DWORD	dwNameSize;
	};

	Data	m_theData;			// the first part of the header
	char	m_szName [1024];	// the name of the related *.IM file 

};

#endif // !defined(AFX_EVENTDETAIL_H_INCLUDED_)
////////////////////////////////////////////////////////////////////////////////
