////////////////////////////////////////////////////////////////////////////////
//	FrameDetail.h:	The Jet CFrameDetail class
//
//	This class defines the position and rotation of one skeleton bone in one
//	aframe within an animation (kin) file.  There will be one CFrameDetail object
//	for each skeleton bone for each frame identified in the CKINInfoHeader
//	object's dwFrameCount value
//
//	Like most of the Jet Objects, it is derived from CBaseIMObject, and implements
//	the virtual Get Size and Write to Output methods of that base class.
//
//	NOTE: This is assumed to be an open-source project, so individual method
//	notes appear before each method in the CPP file rather than here in the
//	.h file.
//
//	Copyright , Jack Emmerichs, 2001.
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FRAMEDETAIL_H_INCLUDED_)
#define AFX_FRAMEDETAIL_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BaseIMObject.h"

class CFrameDetail : public CBaseIMObject  
{
public:
			CFrameDetail	();
	virtual ~CFrameDetail	();

	DWORD	GetFullSize				();
	DWORD	GetRemainingSize		();
	bool	WriteToOutputFile		(HANDLE		hOutputFile);

	inline void SetPosition			(float		fPosition0,
									 float		fPosition1,
									 float		fPosition2)
	{
		m_theData.fPosition[0] = fPosition0;
		m_theData.fPosition[1] = fPosition1;
		m_theData.fPosition[2] = fPosition2;
	}
	inline void SetRotation			(float		fRotation0,
									 float		fRotation1,
									 float		fRotation2,
									 float		fRotation3)
	{
		m_theData.fRotation[0] = fRotation0;
		m_theData.fRotation[1] = fRotation1;
		m_theData.fRotation[2] = fRotation2;
		m_theData.fRotation[3] = fRotation3;
	}

protected:

	typedef struct theData
	{
		float	fPosition[3];
		float	fRotation[4];
	};

	theData			m_theData;

};

#endif // !defined(AFX_FRAMEDETAIL_H_INCLUDED_)
////////////////////////////////////////////////////////////////////////////////
