////////////////////////////////////////////////////////////////////////////////
//	JetDefs.h:	Common values and data type definitions
//
//	This header contains the definition of common Jet-related values that may
//	be used throughout the application.  It is included in a few key base
//	classes so that it then becomes a part of most class definitions.
//
//	This header does not contain the typedefs for the STL vectors, because it 
//	becomes difficult to control the order of namespace and definitions because
//	the classes that use the typedefs refer to each other, and the circular
//	definitions become unsupportable.
//
//	Copyright , Jack Emmerichs, 2001.
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_JETDEFS_H_INCLUDED_)
#define AFX_JETDEFS_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define	STRIP_COMMENTS	true
#define	LEAVE_COMMENTS	false
#define	EQUAL			0


//
//			Data types
//
	enum	txType			// the texture types defined by Jet's headers
	{
		TYPE_INVALID = -1,
		TYPE_AMBIENT = 0,
		TYPE_DIFFUSE,		// This appears to be the base image texture
		TYPE_SPECULAR,
		TYPE_SHINE,
		TYPE_SHINESTRENGTH,
		TYPE_SELFILLUM,
		TYPE_OPACITY,
		TYPE_FILTERCOLOR,
		TYPE_BUMP,
		TYPE_REFLECT,
		TYPE_REFRACT,
		TYPE_NUMTYPES
	};

#endif // !defined(AFX_JETDEFS_H_INCLUDED_)
////////////////////////////////////////////////////////////////////////////////
